当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 114 篇帖子 ]  前往页数 1, 2, 3, 4, 5 ... 8  下一页
作者 内容
1 楼 
 文章标题 : [分享]ubuntu下安装awn dock-Avant Window Navigator教程[更新8.04]
帖子发表于 : 2007-12-16 3:06 
头像

注册: 2007-09-29 3:09
帖子: 5773
送出感谢: 0 次
接收感谢: 3
awn要求带composite的wm,compiz自不必说,metacity和xfce都可以打开,还有一个cairo也可以...

在hardy中,awn已经进源了,但是进的只是avant-window-navigator和awn-manager,而awn-extras并没有进,也就是说你安装完成之后,只有一个任务列表,而且版本是0.21的,相信大部分人对此不会满足...

开发团队给了一个源,具体情况看这里http://forum.ubuntu.org.cn/viewtopic.php?t=114186,照着这个帖子安装上avant-window-navigator-trunk、awn-extras-applets-trunk、avant-window-navigator-data-trunk、awn-manager-trunk这四个包安装进去就可以的了,这是通过源安装的方式,相信大部分人都可以轻松解决,但是当然这些相比自己下载开发版本就没有很多的applets了 :D

接下来讲源代码安装的方式~先从release和trunk的区别讲起吧,release是官方释出的稳定版本,而trunk是正在开发中的版本,release是经过测试并且稳定的(mature),而trunk(自己查查字典他的英文意思 :P )既然是正在开发的版本,自然就会有这样那样的bug...还有,看看打包后的个头,也能知道,0.26释出的applets没有trunk的多...(其实在trunk和release之外,还有各种形形色色的branch,但是从7.10的到现在,发现有一些branch已经夭折了,有一些已被并入trunk里,所以一般不推荐安装了,也为下面讲依赖问题的时候可以轻松点,因为不同的branch依赖会有小区别 :twisted:

官网上最新的release是0.26(附件太大,请求版主开ftp空间,launchpad太慢):
点击下载avant-window-navigator-0.2.6.tar.gz
点击下载awn-extras-applets-0.2.6.tar.gz

trunk没有snapshot打包可下载,只能用bzr(bzr是什么?
代码:
bzr branch lp:awn && bzr branch lp:awn-extras


然后就是安装过程了,以0.2.6为例(trunk的只要把configure替换成autogen.sh就可以了 :D )

请先确认基本编译环境已经健全,如果我有漏下的依赖,请用sudo apt-cache search自行处理错误信息...

一、awn

首先是万恶的依赖,编译安装时依赖没有齐能撂倒一大班人...(括号里是ubuntu/debian包名,下不复赘)

1.Glib(libglib2.0-0,libglib2.0-dev)(0.2和0.2.1要>=2.8.0,0.2.4以上>=2.15.0,不过我看我的都已经是2.16了,所以一般没问题)
2.gtk+(libgtk2.0-0,libgtk2.0-dev)(>=2.10.0)
3.libwnck(libwnck18或者libwnck22,libwnck-dev)
4.dbus-glib(libdbus-glib-1-2,libdbus-glib-1-dev)
5.librsvg(librsvg2-common)
6.pycairo(python-cairo,python-cairo-dev)
7.pygtk(python-gtk2,python-glade2,python-gtk2-dev)
8.intltool(intltool)
9.bazaar(想要安装开发中的版本才需要sudo apt-get install bzr就是了)
10.gnome-python(python-gnome2,python-gnome2-dev)、gnome-python-desktop(python-gnome2-desktop)、gnome-panel(gnome-panel),这三个,0.2/0.2.1才需要,忽略之...
11.libgnome(libgnome2-0,libgnome2-dev)、gnome-desktop(libgnome-desktop-2,libgnome-desktop-dev)、gnomeVFS(libgnomevfs2-0,libgnomevfs2-dev),这三个,0.2/0.2.1必须,0.2.4以上在gnome上才是必须的...
12. Gconf(libgconf2-4,libgconf2-dev),0.2/0.2.1必须,0.2.4configure中指定--with-gconf才必须...
13.ThunarVFS(libthunar-vfs-1-2.libthunar-vfs-1-dev),0.2.4以上版本,xfce桌面使用必须...
14.gtk-doc(gtk-doc-tools,valac),awn-core-testing和desktop-agnostic两个branch才需要,不推荐...但刚刚发现要用autogen.sh必须装上gtk-doc-tools所以请注意

懒人代码(libgnome2-0之后按需选择):
代码:
sudo apt-get install libglib2.0-0 libglib2.0-dev libgtk2.0-0 libgtk2.0-dev libwnck22 libwnck-dev libdbus-glib-1-2 libdbus-glib-1-dev librsvg2-common python-cairo python-cairo-dev python-gtk2 python-glade2 python-gtk2-dev intltool libgnome2-0 libgnome2-dev libgnome-desktop-2 libgnome-desktop-dev libgnomevfs2-0 libgnomevfs2-dev libgconf2-4 libgconf2-dev libthunar-vfs-1-2 libthunar-vfs-1-dev gtk-doc-tools valac bzr


configure/autogen.sh两个重要的选项讲一下,新手编译就按默认路径,老手自己摸索 :lol:
--with-desktop=gnome|xfce4|agnostic 选择桌面环境(默认为gnome,就是说用gnome的不用管这个)
--with-gconf 用gconf保存配置

确认一切准备完毕,开始编译(需要参数请自行指定)
代码:
./configure && make && sudo make install && sudo ldconfig


完毕之后运行(菜单中也有):
代码:
avant-window-navigator &


二、awn-extras

首先还是依赖:

1.gnome-menus(libgnome-menu-dev) cairo-menu和main-menu两个applet必须...
2.librsvg(librsvg2-dev) clock applet必须...
3.libgtop(libgtop2-dev) system monitor必须...
4.libsexy(libsexy-dev)、libnotify(libnotify-dev) Awn notification Daemon和cairo-menu必须...
5.gnome-python-desktop(python-gnome2-desktop) pyclock,mailapplet,showdesktop必须...
6.pyalsaaudio(python-alsaaudio) volume-control必须...
7.libgmail(python-libgmail) 0.2.1的gmail applet必须...
8.libvte(libvte-dev) Awnterminal必须...(我喜欢这个)
9.feedparser(python-feedparser) Arss、mail、Comics必须...
10.beagle(beagle)、tracker(tracker) offinity插件需要(optional)
11.python-gst(python-gst0.10) lastfm必须...
12.pygtkmozembed(python-gnome2-extras) Meebo、Digg、Pandora、RTM四个插件必须...

懒人代码(按需选择):
代码:
sudo apt-get install libgnome-menu-dev librsvg2-dev libgtop2-dev libsexy-dev libnotify-dev python-gnome2-desktop python-alsaaudio python-libgmail libvte-dev python-feedparser beagle tracker python-gst0.10 python-gnome2-extras python-gmenu


确认完成之后,开始:
代码:
pkg-config --modversion awn

若返回如下:(不是的跳到后面configure那里)
引用:
Package awn was not found in the pkg-config search path.
Perhaps you should add the directory containing `awn.pc'
to the PKG_CONFIG_PATH environment variable
No package 'awn' found

将你刚刚指定的安装路径加入pgk-config的路径,所以新手请按默认安装...运行以下命令:
代码:
export PKG_CONFIG_PATH="$PKG_CONFIG_PATH:[PREFIX]/lib/pkgconfig"

然后:
代码:
./configure

完毕后,如果你想单独安装某个applet,进目录make && sudo make install,这里仅给出全部安装的手段... :P
代码:
make && sudo make install


至此安装完毕,请自行配置...

launchpad上的项目主页
Awn的Wiki主页

补充说明:
1.自己编译安装之后似乎解决了源安装中出现的stacks不能勾上experimental gui的问题,我就用的好好的,见图
2.bzr co下来的awn-extras带的applets要比源码包的多很多,有几个applets要有先决条件才能使用,自己看里面的readme。而且里面还有一个awn-plugins文件夹,是一些应用程序的plugin,有pidgin,据说可不止像任务列表那样子一个图标。不过我编译时报错了,谁做出来请说一下。还提供了一个开发awn软件plugin的模板,编程好的可以研究一下,做出更多的plugin。
3.关于白色条条的问题,官网wiki有这样一段话:
引用:
Important Note: Some of the dependencies (the Python ones) listed are not required to compile the applets. They are listed because as of 0.2.1, if you don't have the dependencies for a Python applet, the applet will "crash" and a white line will appear in place of the applet. The error message with regards to why the applet crashed is only logged if you run Awn from the command line.

有一些python依赖只是因为awn的核心而存在,applets不需要;
而有一些python applets的依赖当你没装的时候就会显示白条,如果你用命令行启动的话就可以看到具体原因了,解决办法吧,就是把依赖装上咯,不过我没试过,我只需要其中几个而已。
4.如须转载此文,请通知我一声,并注明文章出处及作者。
我的邮箱和msn:huntxu@live.cn,欢迎交流。
5.成功或遇到问题,请跟帖说明。


_________________
HUNT Unfortunately No Talent...


最后由 HuntXu 编辑于 2008-06-22 19:02,总共编辑了 17 次

页首
 用户资料  
 
2 楼 
 文章标题 :
帖子发表于 : 2007-12-16 14:40 
头像

注册: 2007-08-20 21:39
帖子: 1109
地址: 沈阳
送出感谢: 0 次
接收感谢: 0 次
引用:
1.自己编译安装之后似乎解决了源安装中出现的stacks不能勾上experimental gui的问题,我就用的好好的,见图
这个不错!!

不过暂时不喜欢源码安装 感觉更新不方便!


_________________
失恋的痛苦不在于失恋本身 在于青黄不接!
青黄不接的年代里 我把爱情暂放一边!

★★○●◎◇★☆☆★


页首
 用户资料  
 
3 楼 
 文章标题 :
帖子发表于 : 2007-12-16 14:43 
头像

注册: 2007-09-29 3:09
帖子: 5773
送出感谢: 0 次
接收感谢: 3
shugoal 写道:
不过暂时不喜欢源码安装 感觉更新不方便!

bzr的,和cvs,svn等差不多,很方便,不过很慢,希望国内有服务器能做branch镜像


页首
 用户资料  
 
4 楼 
 文章标题 :
帖子发表于 : 2007-12-16 18:06 
头像

注册: 2007-09-29 3:09
帖子: 5773
送出感谢: 0 次
接收感谢: 3
:( 辛苦研究一天的东西竟无人问津...受打击了


页首
 用户资料  
 
5 楼 
 文章标题 :
帖子发表于 : 2007-12-16 18:45 

注册: 2007-11-27 22:20
帖子: 444
送出感谢: 0 次
接收感谢: 0 次
好复杂啊,……不过好东西还是要支持一下


页首
 用户资料  
 
6 楼 
 文章标题 :
帖子发表于 : 2007-12-16 19:51 

注册: 2007-12-14 7:04
帖子: 3
送出感谢: 0 次
接收感谢: 0 次
支持!加精!
辛苦了!
从网上找了很多方法,都 不行,通过源安装之后,跟本就打不开awn manager,郁闷~
现在OK了!哈哈,谢谢了!


页首
 用户资料  
 
7 楼 
 文章标题 :
帖子发表于 : 2007-12-16 22:17 

注册: 2007-05-27 19:11
帖子: 77
送出感谢: 0 次
接收感谢: 0 次
楼主。你的桌面是哪个大学阿


页首
 用户资料  
 
8 楼 
 文章标题 :
帖子发表于 : 2007-12-17 18:14 
头像

注册: 2007-09-29 3:09
帖子: 5773
送出感谢: 0 次
接收感谢: 3
去看了zhuqin那个帖,发现源安装出现的问题挺多的...
最不爽的是stacks的experimental gui的问题...
还有一个awn-manager的问题,源代码编译时没有ldconfig我出现过一次这样的情况,
当时的解决办法是把/usr/local/lib目录下的libawn.so创建一个在/usr/lib里的libawn.so.0的链接然后再次启动awn
再顶上去给大家看看,其实我觉得用源代码安装更舒服点~~~

===============
再补充一个,如果装完直接运行awn-manager的话好像会报错;
看看错误说明是不是有“重新启动awn可能解决这个问题”的句子;建议装完awn-core后先启动一下看能不能用...


页首
 用户资料  
 
9 楼 
 文章标题 : Re: [分享]ubuntu下安装awn dock-Avant Window Navigator完全教程
帖子发表于 : 2007-12-18 17:19 
头像

注册: 2007-08-02 14:52
帖子: 425
地址: Beijing
系统: 15.10
送出感谢: 0 次
接收感谢: 0 次
HuntXu 写道:
花了点时间仔细的看了awn安装的wiki,还有从其他渠道得到的一些东西,自己尝试源代码编译安装,总结出这篇安装教程供大家参考。源安装论坛上已经有详细的说明,这里就不赘述,只给出几个链接,deb包的话有得下,不过版本较老,我自己也才用ubuntu两个月,做不出来提供给大家,看哪位大侠能做出来共享。我是自己编译源代码的,而且用的是bzr版本,所以重点讲源代码安装及开发版本...

bzr版的太大超过论坛限制,大家自己慢慢挨吧...或者有哪位好心的在国内架个镜像branch...

Awn分成两个部分,一个是基本的awn(就是一个任务列表),另外一部分就是extras插件,我们看到的其他一些dock,菜单,stacks,关机按钮,天气,etc...所以安装,无论你用哪一种方式,都是装这两个基本部分。

1.源安装&deb包安装
对于7.10(其他的也可以,装对应的包便是),如果只想要一个任务列表,就只装avant-window-navigator-bzr,没必要装awn-core-applets-bzr(这是插件)
(1)官方的发行版安装wiki
http://wiki.awn-project.org/index.php?t ... tionGuides
(2)论坛上发过的源安装方法
http://forum.ubuntu.org.cn/viewtopic.php?t=48369
(3)deb包下载,版本比较老
http://www.getdeb.net/app.php?name=Avan ... +Navigator

2.从源代码编译安装awn(bzr安装在文章最后有详细说明)
官方的源代码安装wiki: http://wiki.awn-project.org/index.php?t ... FromSource
(1)前期准备--解决依赖关系(依赖的软件包挺多的)
代码:
sudo apt-get install build-essential automake1.9 autotools-dev libxdamage-dev libxcomposite-dev libgnome2-common libgnome2-dev libgnome-desktop-dev libgnome-vfs-dev libgtk2.0-dev libwnck-dev libgconf2-dev libglib2.0-dev libdbus-glib-1-dev libgnomevfs2-0 libgnome-desktop-2 libgnome2-0 libwnck-common python-gtk2 python-gconf gnome-common python-dev python-gtk2-dev python-cairo-dev python-gnome2-dev python-gnome2-desktop gnome-panel python-glade2 librsvg2-common

(2)得到软件源代码包,到 https://launchpad.net/awn/+download 下载源代码,我已经下载下来发成附件,luanchpad.net不在国内,很慢...
(3)解压,进入安装目录,这步不用我解释了吧...
(4)
代码:
./configure

默认安装到/usr/local,如果你想修改安装目录,指定prefix就是,建议不修改,方便安装extras,而且不用重新去配置目录,当然如果你喜欢折腾的话便不关我事...
代码:
./configure --prefix=[PREFIX] [other configure flags

如果你想重新编译解决bug,加参数如下:
代码:
CFLAGS="-ggdb" ./configure [configure flags]

(5)
代码:
make && sudo make install && sudo ldconfig

来自wiki:
引用:
According to the man page:
ldconfig creates the necessary links and cache to the most recent shared libraries found in the directories specified on the command line, in the file /etc/ld.so.conf, and in the trusted directories (/lib and /usr/lib). The cache is used by the run-time linker, ld.so or ld-linux.so. ldconfig checks the header and filenames of the libraries it encounters when determining which versions should have their links updated.

ldconfig创建一些必要的链接,这一步是必须的而且很重要...
(6)收工(如果你没改安装目录的话)
代码:
avant-window-navigator &

如果你改了安装目录,请继续忙活,修改一些环境变量,并且加入你的shell启动脚本里,不用每次登录X都手动调整啦~~~假设安装到/home/hunt/programs/awn,就是你指定的prefix。
代码:
vim $HOME/.bash_profile
gedit,mousepad,etc...
让系统能找到awn:
代码:
export PATH="$PATH:/home/hunt/programs/awn/bin"

让系统找到libawn.so和其他:
代码:
export LD_LIBRARY_PATH="$LD_LIBRARY_PATH:/home/hunt/programs/awn/lib"

让python能工作:
代码:
AWN_PYVER=`python -c "import sys; print '%s.%s' % sys.version_info[:2]"`
export PYTHONPATH="$PYTHONPATH:/home/hunt/programs/awn/lib/python$AWN_PYVER/site-packages"
unset AWN_PYVER

现在,你也可以
代码:
avant-window-navigator &

3.从源代码编译安装awn-extras(bzr安装在文章最后有详细说明)
我们已经安装了awn的核心部分,但现在只是一个任务列表,我们还要装上插件,如果你只想要任务列表的话就不需要这一步了,但不会有人这么做吧...
Wiki: http://wiki.awn-project.org/index.php?t ... stallation
(1)前期准备--万恶的依赖关系
代码:
sudo apt-get install libgnome-menu-dev librsvg2-dev libgtop2-dev libsexy-dev libnotify-dev python-alsaaudio python-libgmail libvte-dev

只对debian(包括ubuntu)如此,其他的wiki上有详细说明
(2)得到软件源代码包,到 https://launchpad.net/awn-extras/+download 下载源代码,同样在附件里了
(3)解压,进入目录
(4)确认所有必须的开发包安装好了,如果你的awn没按默认目录安装,那你将又有得忙活
代码:
pkg-config --modversion awn

检测出awn的版本,如果出现这样的说明
引用:
Package awn was not found in the pkg-config search path.
Perhaps you should add the directory containing `awn.pc'
to the PKG_CONFIG_PATH environment variable
No package 'awn' found

那么就运行这个,prefix就是你安装awn的目录,现在知道为什么要默认目录安装了吧,不然可真是麻烦。
代码:
export PKG_CONFIG_PATH="$PKG_CONFIG_PATH:[PREFIX]/lib/pkgconfig"

然后是一样:(强烈建议和awn安装到同一个目录下,如果你默认装awn的,那就不用理它,不然就同样指定之前那个路径为prefix)
代码:
./configure --prefix=[PREFIX]

(5)
代码:
make && sudo make install

(6)结束。现在可以在awn-manager里选择你喜欢的applets了



bzr安装
关于bzr,请参见 http://bazaar-vcs.org
(1)首先,获取bzr:
代码:
sudo apt-get install bzr

(2)获得源代码,我选择的都是trunk版,后面有版本说明,很慢,请做好心理准备...
awn:
代码:
bzr co http://bazaar.launchpad.net/~awn-core/awn/trunk 你的目录

awn-extras:
代码:
bzr co http://bazaar.launchpad.net/~awn-extras/awn-extras/trunk 你的目录

(3)安装,先进目录
代码:
bzr update
更新到最新,其他基本上是一样的(注意如果装的是awn-extras要进入到"/你的目录/awn-applets/awn-extras-applets")然后都只是把
代码:
./configure
改成了
代码:
./autogen.sh
bash有时候会不灵光,提示找不到,我用dash autogen.sh,由于autogen.sh也调用了./configure,所以也可以指定prefix,但不推荐就是,重编译修复bug的参数也一样是CFLAGS="-ggdb" ,然后同样是make,sudo make install,awn还要sudo ldconfig。
(4)升级,这是bzr的重点
awn是
代码:
make distclean && bzr update

awn-extras是
代码:
bzr pull && bzr revert

revert作用是清掉你所安装的非正式(诸如来自论坛里的)patch;
然后从./autogen.sh重新开始编译安装
(5)bzr各版本[M(ature),D(evelopment,N(ew)]
awn:
awn0.2.1 官方release
代码:
bzr co http://bazaar.launchpad.net/~awn-core/awn/0.2.1

trunk Development
代码:
bzr co http://bazaar.launchpad.net/~awn-core/awn/trunk

xfce下的branch
代码:
bzr co http://bazaar.launchpad.net/~malept/awn/desktop-agnostic

更多的效果
代码:
bzr co http://bazaar.launchpad.net/~awn-effects/awn/libawn-draw-effects

新形象的awn
代码:
bzr co http://bazaar.launchpad.net/~awn-curves-team/awn/awn-curves

多面板,多位置的awn
代码:
bzr co http://bazaar.launchpad.net/~njpatel/awn/fandabbydesy

awn-extras:
awn0.2.1 官方release
代码:
bzr co http://bazaar.launchpad.net/~awn-extras/awn-extras/0.2.1

trunk Development
代码:
bzr co http://bazaar.launchpad.net/~awn-extras/awn-extras/trunk

tehks-testing
代码:
bzr co http://bazaar.launchpad.net/~im-tehk/awn-extras/tehks-testing

awn-extra-moonbean
代码:
bzr co http://bazaar.launchpad.net/~rcryderman/awn-extras/awn-extra-moonbean



一些相关链接
http://wiki.awn-project.org/index.php?title=Main_Page Awn的wiki主页
http://wiki.awn-project.org/index.php?title=Plugins 插件的介绍
http://wiki.awn-project.org/index.php?title=Themes 主题
http://wiki.awn-project.org/index.php?t ... et_Gallery Applet的介绍
http://wiki.awn-project.org/index.php?title=Awn_Extras Awn-extras的介绍
http://launchpad.net/awn awn项目主页
http://launchpad.net/awn-extras awn-extras项目主页

补充说明:
1.自己编译安装之后似乎解决了源安装中出现的stacks不能勾上experimental gui的问题,我就用的好好的,见图
2.bzr co下来的awn-extras带的applets要比源码包的多很多,有几个applets要有先决条件才能使用,自己看里面的readme。而且里面还有一个awn-plugins文件夹,是一些应用程序的plugin,有pidgin,据说可不止像任务列表那样子一个图标。不过我编译时报错了,谁做出来请说一下。还提供了一个开发awn软件plugin的模板,编程好的可以研究一下,做出更多的plugin。
3.关于白色条条的问题,官网wiki有这样一段话:
引用:
Important Note: Some of the dependencies (the Python ones) listed are not required to compile the applets. They are listed because as of 0.2.1, if you don't have the dependencies for a Python applet, the applet will "crash" and a white line will appear in place of the applet. The error message with regards to why the applet crashed is only logged if you run Awn from the command line.

有一些python依赖只是因为awn的核心而存在,applets不需要;
而有一些python applets的依赖当你没装的时候就会显示白条,如果你用命令行启动的话就可以看到具体原因了,解决办法吧,就是把依赖装上咯,不过我没试过,我只需要其中几个而已。
4.如须转载此文,请通知我一声,并注明文章出处及作者。
我的邮箱和msn:huntxu@live.cn,欢迎交流。
5.成功或遇到问题,请跟帖说明。
wow,谢谢!谢谢。


_________________
过往惊艳之谈,青春陨落之地
Mac Love Me
http://maclove.me/


页首
 用户资料  
 
10 楼 
 文章标题 : 我不好装啊!
帖子发表于 : 2007-12-19 13:17 
头像

注册: 2007-08-28 17:03
帖子: 8
地址: 中国上海市浦东新区
送出感谢: 0 次
接收感谢: 0 次
系统被我搞死了!唉!又要重装了。


_________________
==[XGL]:::>>>


页首
 用户资料  
 
11 楼 
 文章标题 : Re: 我不好装啊!
帖子发表于 : 2007-12-19 15:29 
头像

注册: 2007-08-02 14:52
帖子: 425
地址: Beijing
系统: 15.10
送出感谢: 0 次
接收感谢: 0 次
woxiguilin 写道:
系统被我搞死了!唉!又要重装了。

没有办法修复吗?


_________________
过往惊艳之谈,青春陨落之地
Mac Love Me
http://maclove.me/


页首
 用户资料  
 
12 楼 
 文章标题 :
帖子发表于 : 2007-12-19 22:39 

注册: 2007-12-16 19:08
帖子: 9
送出感谢: 0 次
接收感谢: 0 次
謝謝樓主!!!
我成功裝了awn,
我的awn是2.1
我現在想問怎樣安裝extra和Applet呀???


页首
 用户资料  
 
13 楼 
 文章标题 :
帖子发表于 : 2007-12-20 7:40 
头像

注册: 2007-09-29 3:09
帖子: 5773
送出感谢: 0 次
接收感谢: 3
ivanyu14 写道:
謝謝樓主!!!
我成功裝了awn,
我的awn是2.1
我現在想問怎樣安裝extra和Applet呀???


看这里:

引用:
3.从源代码编译安装awn-extras(bzr安装在文章最后有详细说明)
我们已经安装了awn的核心部分,但现在只是一个任务列表,我们还要装上插件,如果你只想要任务列表的话就不需要这一步了,但不会有人这么做吧...


页首
 用户资料  
 
14 楼 
 文章标题 : 我看是没法修了
帖子发表于 : 2007-12-20 8:31 
头像

注册: 2007-08-28 17:03
帖子: 8
地址: 中国上海市浦东新区
送出感谢: 0 次
接收感谢: 0 次
算了,现在还是改在虚拟机上搞吧!等熟了,再到真机上装.


_________________
==[XGL]:::>>>


页首
 用户资料  
 
15 楼 
 文章标题 : 等待,等待,超级等待中……
帖子发表于 : 2007-12-20 8:39 
头像

注册: 2007-08-02 14:52
帖子: 425
地址: Beijing
系统: 15.10
送出感谢: 0 次
接收感谢: 0 次
等待,等待,超级等待中……


_________________
过往惊艳之谈,青春陨落之地
Mac Love Me
http://maclove.me/


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 114 篇帖子 ]  前往页数 1, 2, 3, 4, 5 ... 8  下一页

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 3 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译